package at.kugel.plugin.dependency;

import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.ui.plugin.AbstractUIPlugin;
import org.osgi.framework.BundleContext;

/**
 * Eclipse Demo view plugin - activator (unchanged). The activator class controls the
 * plug-in life cycle
 */
public final class Activator extends AbstractUIPlugin
{

   public static final String PLUGIN_ID = "at.kugel.plugin.dependency.DependencyView";

   /** The shared instance */
   private static Activator plugin;

   public Activator()
   {
      plugin = this;
   }

   @Override
   public void start(BundleContext context) throws Exception
   {
      super.start(context);
   }

   @Override
   public void stop(BundleContext context) throws Exception
   {
      plugin = null;
      super.stop(context);
   }

   public static Activator getDefault()
   {
      return plugin;
   }

   /**
    * Returns an image descriptor for the image file at the given plug-in relative path
    * @param path the path
    * @return the image descriptor
    */
   public static ImageDescriptor getImageDescriptor(String path)
   {
      return imageDescriptorFromPlugin(PLUGIN_ID, path);
   }
}
